<?php
/**
* @version 			PULSAR 2.x Core
* @package			test
* @url				http://www.pulsar-informatique.com
* @editor			Pulsar - www.pulsar-informatique.com
* @copyright		Copyright (C) 2012 Pulsar. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

// No Direct Access
defined( '_JEXEC' ) or die;

// Plugin
class plgCCK_Field_TypoReplace extends JCckPluginTypo
{
	protected static $type	= 'replace';
	protected static $path;
	
	// -------- -------- -------- -------- -------- -------- -------- -------- // Prepare
		
	// onCCK_Field_TypoPrepareContent
	public function onCCK_Field_TypoPrepareContent( &$field, $target = 'value', &$config = array() )
	{
		if ( self::$type != $field->typo ) {
			return;
		}
		self::$path	=	JURI::root().'plugins/cck_field_typo/'.self::$type.'/';
		
		// Prepare, i've keep it this way cause i haven't really understand what's going on with some parent's functions
		if ( $field->value && $field->value != '' ) {
			$typo			=	parent::g_getTypo( $field->typo_options );

			$field->typo	=	self::_typo( $typo, $field, '', $config );
		} else {
			$field->typo	=	'';
		}
		
		$field->typo		=	parent::g_hasLink( $field, $typo, $field->typo );
	}
		
	// _typo
	protected static function _typo( $typo, $field, $value, &$config = array() )
	{
		$text = str_replace($typo->get('value_searched',' '), $typo->get('replace_value',' '), $field->text);
		$typo =  isset($text) ? $text : $field->text;
		return $typo;
	}	
}
?>